commit:     ebf1a8c251eefb23889ac984b0b033e4957df894
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Sun May 15 11:27:40 2022 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Mon May 30 08:36:04 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ebf1a8c2

dev-java/ant-eclipse-ecj: virtual/jdk-11:*" -> -17:*

Bug: https://bugs.gentoo.org/831559
Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 .../ant-eclipse-ecj/ant-eclipse-ecj-4.22-r1.ebuild | 53 ++++++++++++++++++++++
 dev-java/ant-eclipse-ecj/files/ecj-4.22-r1         |  7 +++
 2 files changed, 60 insertions(+)

diff --git a/dev-java/ant-eclipse-ecj/ant-eclipse-ecj-4.22-r1.ebuild 
b/dev-java/ant-eclipse-ecj/ant-eclipse-ecj-4.22-r1.ebuild
new file mode 100644
index 000000000000..786880f955b6
--- /dev/null
+++ b/dev-java/ant-eclipse-ecj/ant-eclipse-ecj-4.22-r1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-pkg-simple prefix
+
+DMF="R-${PV}-202111241800"
+
+DESCRIPTION="Ant Compiler Adapter for Eclipse Java Compiler"
+HOMEPAGE="https://www.eclipse.org/";
+SRC_URI="https://download.eclipse.org/eclipse/downloads/drops4/${DMF}/ecjsrc-${PV}.jar";
+
+LICENSE="EPL-1.0"
+KEYWORDS="~amd64 ~ppc64 ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+SLOT="4.22"
+IUSE=""
+
+CDEPEND="~dev-java/eclipse-ecj-${PV}:${SLOT}
+       dev-java/ant-core:0"
+# though technically both could be set to 1.8 and it would
+# compile using jdk 11+, it would not compile using jdk 1.8
+# because eclipse ecj has min jdk 11
+RDEPEND="${CDEPEND}
+       >=virtual/jre-11:*"
+DEPEND="${CDEPEND}
+       >=virtual/jdk-17:*"
+BDEPEND="app-arch/unzip"
+
+JAVA_GENTOO_CLASSPATH="ant-core,eclipse-ecj-${SLOT}"
+
+src_prepare() {
+       default
+
+       # Remove everything but the Ant component.
+       find org -type f ! -path "org/eclipse/jdt/internal/antadapter/*" ! 
-name "JDTCompilerAdapter.java" -delete || die
+
+       rm build.xml || die
+}
+
+src_compile() {
+       java-pkg-simple_src_compile
+       find org -type f ! -name "*.java" | xargs jar uvf "${PN}.jar" || die 
"jar update failed"
+}
+
+src_install() {
+       java-pkg-simple_src_install
+       insinto /usr/share/java-config-2/compiler
+       doins "${FILESDIR}/ecj-${SLOT}"
+       eprefixify "${ED}"/usr/share/java-config-2/compiler/ecj-${SLOT}
+}

diff --git a/dev-java/ant-eclipse-ecj/files/ecj-4.22-r1 
b/dev-java/ant-eclipse-ecj/files/ecj-4.22-r1
new file mode 100644
index 000000000000..5bbcc318d9ba
--- /dev/null
+++ b/dev-java/ant-eclipse-ecj/files/ecj-4.22-r1
@@ -0,0 +1,7 @@
+JAVAC="@GENTOO_PORTAGE_EPREFIX@/usr/bin/ecj-4.22"
+PACKAGE="=dev-java/ant-eclipse-ecj-4.21*"
+SUPPORTED_TARGET="1.1 1.2 1.3 1.4 1.5 1.6 1.7 1.8 9 10 11 12 13 14 15 16 17"
+SUPPORTED_SOURCE="1.3 1.4 1.5 1.6 1.7 1.8 9 10 11 12 13 14 15 16 17"
+ANT_BUILD_COMPILER="org.eclipse.jdt.core.JDTCompilerAdapter"
+ANT_BUILD_COMPILER_DEPS="eclipse-ecj-4.22,ant-eclipse-ecj-4.22"
+GENERATION="2"

Reply via email to